%define module  pyelftools

Name:           python-%{module}
Version:        0.24
Release:        %mkrel 1
Summary:        Pure-python library for parsing ELF and DWARF
Group:          Development/Python
License:        Public Domain
URL:            https://github.com/eliben/pyelftools
Source0:        https://github.com/eliben/pyelftools/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

%package -n     python2-%{module}
Summary:        Pure-python library for parsing ELF and DWARF for Python 2
BuildRequires:  python2-setuptools

%description -n python2-%{module}
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

This is the Python 2 module of pyelftools.

%package -n     python3-%{module}
Summary:        Pure-python library for parsing ELF and DWARF for Python 3
BuildRequires:  python3-setuptools

%description -n python3-%{module}
pyelftools is a pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

This is the Python 3 module of pyelftools.

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n       python2-%{module}
%doc CHANGES README.rst
%license LICENSE
%{python2_sitelib}/elftools/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n       python3-%{module}
%doc CHANGES README.rst
%license LICENSE
%{_bindir}/readelf.py
%{python3_sitelib}/elftools/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Sep 20 2017 akien <akien> 0.24-1.mga6
+ Revision: 1156070
- Import pyelftools, needed for pax-utils' lddtree
- import pyelftools, needed for lddtree in pax-utils

